Subject: bug#38134: Unable to build 32bit file using libtool script.

From: Naveen Kumar <[email-masked]>
Date: Fri, 8 Nov 2019 13:05:37 +0530

Hi Team,

I am trying to build 32bit glib library on X86_64 machine. For that I have
given respective arguments like -m32...etc for my configure script...after
running make command it fails with following error.

I386:x86-64 architecture of input file '.libs/glib_probes.o' is
incompatible with i386output

By default it is compiling with 64bit architecture...and result to fail
while linking...I want to create 32 bit binary file 'glib_probes.o' instead
of 64bit.what is the change I need to make to achieve the same? Please help.

THANKS IN ADVANCE.